TAAS - Feature #165

Bank Reconciliation
02/25/2023 10:33 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/25/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Bank Reconciliation

Description

Coding Bank Reconciliation

History

#1 - 04/03/2023 12:55 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 04/12/2023 01:23 PM - Junaid M
- File QUERY-BANK-RECO-MASTER-SUMMARY.sql added

#3 - 05/23/2023 11:39 AM - Junaid M

- Status changed from Open to New

- Assignee changed from Junaid M to Akash B
- % Done changed from 10 to 0

#4 - 05/26/2023 10:39 AM - Akash B
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 05/26/2023 05:37 PM - Junaid M
- File deleted (QUERY-BANK-RECO-MASTER-SUMMARY.sql)

#6 - 05/26/2023 05:38 PM - Junaid M
- File BANK-RECO-SUMMARY.SQL added

#7 - 10/07/2023 05:19 PM - Junaid M

- Assignee changed from Akash B to Aparna Mathew

#8 - 08/13/2024 10:55 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#9 - 08/13/2024 12:05 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED
1.Error On Deletion

2.Freeze Doc no Part After Save

3.Validate Doc Date And Status

4.Allow Numbers Only In Amount Field

5.Change Name OB To Opening Balance In List
6.Clear Date Show As DD/MM/YEAR Format In List
7.Show Amount In List As Right Allign

8.Precision Value Missing On Update

#10 - 08/14/2024 12:19 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 08/19/2024 06:56 PM - unnikannan S
TESTING DONE

#12 - 08/19/2024 06:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Updation While Adding Decimal Value On Summary
2.Not Working Attachment File Upload
3.Missing Reco No From Cleared Doc

#13 - 08/21/2024 03:51 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 10/11/2024 10:45 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Load Branch Default On Ul

#15 - 10/14/2024 10:46 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 10/22/2024 09:43 AM - Anil KV
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Recode the module
some issues in work flow

#17 - 10/30/2024 01:51 PM - Aparna Mathew

Summary Tab -> ltems:

1.0pening Balance (OB)

- 2.Debit

3.Credit

4.Closing Balance

5.Expected Posting(Paid Cheque Control Account)
6.Uncleared Received Cheque

7.Uncleared Paid Cheque

Summary Tab -> Cleared:
Cleared + Current Document Ticked ltems
(Cleared means Already cleared from other documents)

ISSUE FOUND

1.Clear Date,Reconciliation no should received from reco to paid cheque query
2.delete option is only needed in edit mode

#18 - 11/05/2024 10:37 AM - Anil KV
- Assignee changed from Aparna Mathew to Vivekp V

#19 - 11/14/2024 09:31 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

bug fix done
Summary Tab -> Items:

1.0pening Balance (OB)

- 2.Debit

3.Credit

4.Closing Balance

5.Expected Posting(Paid Cheque Control Account)
6.Uncleared Received Cheque

7.Uncleared Paid Cheque

Summary Tab -> Cleared:

Cleared + Current Document Ticked ltems
(Cleared means Already cleared from other documents)

ISSUE FOUND

1.Clear Date,Reconciliation no should received from reco to paid cheque query
2.delete option is only needed in edit mode

#20 - 11/27/2024 11:52 AM - unnikannan S
- File clipboard-202411271151-rbigd.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#21 - 11/27/2024 02:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 12/11/2024 12:07 PM - Arathy PS

- File clipboard-202412111202-z80nr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Data showing in cleared tab for a document no: that is reco first then the said reco is deleted.
Bank Reconciliation

Jravvise

11/12/2024 =]

11/12/2004

Bank™ | BNKDD1

ious  Cleared (From Other Docs)

Doc Date Document No

1 1171272024 RCD/001

111272024 RCD/002

Eranch® | man Q search

Status™

Active (Posting Status) % Active (Document Status)

T e/ |l

Credit

Details

2. Status of the cleared documents not changing to previous one when we remove the document in edit mode.

#23 - 12/12/2024 09:31 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 12/19/2024 04:51 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES DONE

copy vhr_reco_no, dat_clear from

received cheque details and paid cheque details to received cheQue and paid cheque tables and update them through bank reco.

#25 - 12/26/2024 09:52 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#26 - 12/28/2024 01:16 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#27 - 01/17/2025 10:07 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1. Bank name is not showing in the document search modules party column.

#28 - 01/25/2025 09:37 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 02/28/2025 03:08 PM - Arathy PS

- File clipboard-202502281507-kxqfd.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED
1. Error message not clearing after showing data.
2. Upon deleting a reco amount in difference is not clearing.
3. Can save a reco without any data in it.

ravvise Bank Reconciliation

Period” | 28/02/2025 (<] 28/02/2025 [ ] Branch™ | Main % M Q Search

Bank™ | BNK0O1 icict AED ¥ Status™ | Active (Posting Status) % Active (Document Status) 3 -

Master | NotClear Not Cleared Previous  Cleared (From Other Docs)

DecNo | BAR/ODS Date” | 28/02/2025 [ ] Branch™ | BROO1: Main ~
Bank™ | BNK0O1 icict AED Vv Department | DPOO1:: Account e
Remarks ) Reference
Created By: Administrator(28/02/2025 03:06 PM) Pericd: 28/02/2025 - 28/02/2025
Madified By:
AsPer Bank® | g.00 Difference: 0.00
Bank Reconciliation Summar T Q 2 O
#  item As Per Ledger(Sys) Cleared Difference As Per Bank
1 Opening Balence 000 000 0.00 000 s
2 Debit 000 000 0.00 000 s
3 Credit 0.00 0.00 000 000 s’
4 Closing Balance 0.00 0.00 0.00 0.00 s
5 Expected Posting(Paid Cheque Control Account to Bank) 0.00 0.00 000 000 s
6 Uncleared Received Cheque 000 000 0.00 0.00 s
7 Uncleared Paid Cheque 000 000 0.00 000 s

#30 - 03/03/2025 06:43 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 03/17/2025 05:17 PM - Arathy PS

- File clipboard-202503171650-d8igm.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Data not showing in the 'Uncleared Paid Cheque'.
2. Data in difference section

ravvise Bank Reconciliation

Period” | 17/03/2025 o0 17/03/2025 a0 Branch® | Main % - Q Search

Bank” | BNKOO1 icicl QAR Vv Status™ | Active (Posting Status) % Active (Document Status) 3¢ M

Master  NotClear  Not Cleared Previous  Cleared (From Other Docs)

Doc No Date* | 17/03/2025 o n Branch* v
Bank™ | BNKOOT cict QAR ¥ Department | DPOO1: Account v
Remarks P Referance
Created By: Period:  17/03/2025 - 17/03/2025
Modified B,
As Per Bank® | 20000 Difference: -200.00
k Reconciliation Summa T Q 2 I
* item As Per Ledger(sys) Cleared Difference As Per Bank
1 Opening Balance 400.00 000 40000 000 s
2 Debit 000 000 000 000 s
3 Credit -400.00 -200.00 -20000 000 ra
4 Closing Balance 0.00 -200.00 200.00 0 s
5 Expected Posting(Paid Cheque Control Account to Bank) -400.00 -200.00 -20000 000 s
6 Uncleared Received Chegque 0.00 0.00 0.00 0.00 ra
7 Uncleared Faid Cheque 000 000 000 000 s

#32 - 03/24/2025 09:27 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 03/27/2025 02:57 PM - Arathy PS
- File clipboard-202503271457-ly10j.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Total amount is getting entered in total ledg amount column in table.
Dataoutput Messages Notifications a
S EvO0 @ & |~
T e L e s seyesan # oo /| et peessen mtotin et
58 {5879 QAR 1 1000 QAR 1000
59 {5976} QAR 1 500 QAR 500
38 72 { QaRr 1 980 QAR 980
39 358 {5879} QAR 1 1000 QAR 1000
40 73 { AED 2 1940 QAR 970
41 80 {60,79} QAR 1 700 QAR 700
42 73 { aarR 1 679 QAR 679
43 58 {5879} SAR & 6000 QAR 1000
44 72 0 INR 4 3920 QAR 980
45 60 {6072} QAR 1 100 QAR 100
46 72 { asR QLF& 1000
#34 - 03/28/2025 09:27 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
BANK-RECO-SUMMARY.SQL 8.24 KB 05/26/2023 Junaid M
clipboard-202411271151-rbigd.png 114 KB 11/27/2024 unnikannan S
clipboard-202412111202-z80nr.png 105 KB 12/11/2024 Arathy PS
clipboard-202502281507-kxqgfd.png 133 KB 02/28/2025 Arathy PS
clipboard-202503171650-d8igm.png 122 KB 03/17/2025 Arathy PS
clipboard-202503271457-ly10j.png 57.8 KB 03/27/2025 Arathy PS
